Name:           dns_authoritative_provisioner
Version:        3.2.1
Release:        lp155.1.1
Summary:        DNS authoritative provisioner agent
License:        Apache-2.0
Group:          Development/Languages/Ruby
URL:            https://intercom.it
Source:         %{name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  ruby-macros >= 5
BuildRequires:  systemd-rpm-macros
# fix suderos.d ownership
BuildRequires:  sudo 
Requires:       bind
Requires:       rubygem(ruby:2.5.0:tomte-agents:1.1) >= 1.1.0
Requires:       rubygem(ruby:2.5.0:sentry-raven)
Requires:       rubygem(ruby:2.5.0:pry)
Requires:       rubygem(ruby:2.5.0:kyotocabinet)
Requires:       rubygem(ruby:2.5.0:ygg_provisioner)

%description
DNS authoritative provisioner agent

%prep

%setup

%build

%install
%make_install
install -D -m 0644 support/dns_authoritative_provisioner.service %{buildroot}%{_unitdir}/dns_authoritative_provisioner.service
install -D -m 0644 support/dns_authoritative_provisioner.tempfiles %{buildroot}%{_tmpfilesdir}/dns_authoritative_provisioner.conf
install -D -m 0644 support/dns_authoritative_provisioner.sudoers %{buildroot}%{_sysconfdir}/sudoers.d/dns_authoritative_provisioner
ln -s /usr/sbin/service %{buildroot}%{_sbindir}/rcdns_authoritative_provisioner

%pre
%{_bindir}/getent group  dns_ap >/dev/null || %{_sbindir}/groupadd -r dns_ap
%{_bindir}/getent passwd dns_ap >/dev/null || %{_sbindir}/useradd -r -d %{_localstatedir}/lib/dns_authoritative_provisioner -s /bin/false -c "dna auth provisioner agent" -g dns_ap dns_ap
%service_add_pre dns_authoritative_provisioner.service
exit 0

%preun
%service_del_preun dns_authoritative_provisioner.service
exit 0

%post
%tmpfiles_create %_tmpfilesdir/dns_authoritative_provisioner.conf
%service_add_post dns_authoritative_provisioner.service
exit 0

%postun
%service_del_postun dns_authoritative_provisioner.service
exit 0

%files
%defattr(-, root, root)

#%ghost %{_sysconfdir}/sudoers.d
%ghost /run/dns_authoritative_provisioner

%dir %{_sysconfdir}/tomte
%dir /usr/lib/dns_authoritative_provisioner
%dir /usr/lib/dns_authoritative_provisioner/bin
%dir /usr/lib/dns_authoritative_provisioner/lib
%dir /usr/lib/dns_authoritative_provisioner/lib/ygg
%dir /usr/lib/dns_authoritative_provisioner/lib/ygg/dns
%dir /usr/lib/dns_authoritative_provisioner/lib/tomte
%dir /usr/lib/dns_authoritative_provisioner/lib/tomte/agents
%dir /usr/lib/dns_authoritative_provisioner/lib/ygg/dns/authoritative_provisioner

%attr(0700, dns_ap, dns_ap) %dir %{_localstatedir}/lib/dns_authoritative_provisioner

%config(noreplace) %{_sysconfdir}/tomte/tomte.yml
%config(noreplace) %{_sysconfdir}/tomte/dns_authoritative_provisioner.yml
%attr(0440, root, root) %config(noreplace) %{_sysconfdir}/sudoers.d/dns_authoritative_provisioner

%{_unitdir}/dns_authoritative_provisioner.service
%{_tmpfilesdir}/dns_authoritative_provisioner.conf

%{_sbindir}/rcdns_authoritative_provisioner
%attr(0755, root, root) %{_sbindir}/dns_authoritative_provisioner
%attr(0755, root, root) /usr/lib/dns_authoritative_provisioner/bin/dns_authoritative_provisioner

/usr/lib/dns_authoritative_provisioner/lib/dns_authoritative_provisioner.rb
/usr/lib/dns_authoritative_provisioner/lib/tomte/agents/dns_authoritative_provisioner.rb
/usr/lib/dns_authoritative_provisioner/lib/ygg/dns/authoritative_provisioner/task.rb
/usr/lib/dns_authoritative_provisioner/lib/ygg/dns/authoritative_provisioner/version.rb
/usr/lib/dns_authoritative_provisioner/lib/ygg/dns/authoritative_provisioner/worker.rb
/usr/lib/dns_authoritative_provisioner/lib/ygg/dns/authoritative_provisioner/zone.rb



%changelog
